<template>
  <div class="header d-flex align-items-center">
    <div class="d-flex justify-content-between align-items-center mx-auto w-75">
      <div class="logo">
        <img src="../assets/logo.png" alt="logo" />
      </div>
      <div class="d-flex gap-4 align-items-center">
        <router-link v-if="router.currentRoute.value.fullPath !== '/'" to="/">
          <div
            class="d-flex gap-1 align-items-center cursor-pointer text-white">
            <SearchIcon />
            <span class="d-none d-md-inline">Поиск</span>
          </div>
        </router-link>
        <router-link to="/favorites">
          <div
            class="d-flex text-white gap-1 align-items-center cursor-pointer">
            <HeartIcon />
            <span class="d-none d-md-inline">Избранное</span>
          </div>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import HeartIcon from "@/icons/HeartIcon.vue";
import SearchIcon from "@/icons/SearchIcon.vue";
import { useRouter } from "vue-router";

const router = useRouter();
</script>

<style scoped>
.header {
  background-color: #000;
  color: #fff;

  height: 100px;
}
.cursor-pointer {
  cursor: pointer;
}
.logo img {
  height: 50px;
}
</style>
